View Issue Details

IDProjectCategoryView StatusLast Update
0002876SymmetricDSImprovementpublic2016-11-21 15:11
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.8Fixed in Version3.8.8 
Summary0002876: FileSync initial load batches should respect max batch size of the filesync_reload channel
DescriptionThis involved changing the file sync initial load to use the extract in background job, to queue up extract requests and use the MutliBatchStagingWriter writing through to the FileSyncZipDataWriter.
TagsNo tags attached.

Relationships

related to 0002910 closedmmichalek Node Communication Type FILE_EXTRACT is too long 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 9b1e5c50

2016-10-22 01:05:13

mmichalek

Details Diff
0002876: FileSync initial load batches should respect max batch size of
the filesync_reload channel

0002876
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/InitialLoadExtractorJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeCommunication.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfoKey.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MultiBatchStagingWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File

SymmetricDS: 3.8 e20b916a

2016-11-10 15:47:22

mmichalek

Details Diff
0002876: FileSync initial load batches should respect max batch size of
the filesync_reload channel - make sure to re-request extraction if
needded.

0002876
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

Issue History

Date Modified Username Field Change
2016-10-22 01:00 mmichalek New Issue
2016-10-22 01:00 mmichalek Status new => assigned
2016-10-22 01:00 mmichalek Assigned To => mmichalek
2016-10-22 01:00 mmichalek Status assigned => resolved
2016-10-22 01:00 mmichalek Resolution open => fixed
2016-10-22 01:00 mmichalek Fixed in Version => 3.8.8
2016-10-22 02:00 mmichalek Changeset attached => SymmetricDS 3.8 9b1e5c50
2016-11-08 11:59 chenson Status resolved => closed
2016-11-10 16:00 mmichalek Changeset attached => SymmetricDS 3.8 e20b916a
2016-11-21 15:11 mmichalek Relationship added related to 0002910